# Makefile for site configuration (sample)
# 
# Makefile,v
# Revision 1.1  1997/08/27  18:21:51  chen
# cebaf site cdev system configuration
#
#
#
include ../Makefile.config

ifeq ($(SHOBJ),YES)
	OBJTYPE=.shobj/$(TARGETDIR)
else
	OBJTYPE=.obj/$(TARGETDIR)
endif

OBJS =  $(OBJTYPE)/cebafConfig.o

ifeq ($(SHOBJ),YES)
	TARGETLIB=$(CDEVSHOBJ)/$(CDEVVERSION)/cdevSiteConfig.so
else
	TARGETLIB=
endif

targets: $(OBJTYPE) $(TARGETLIB)

$(OBJTYPE) :
	@mkdir -p $(OBJTYPE)

$(CDEVSHOBJ)/$(CDEVVERSION)/cdevSiteConfig.so: $(OBJS) 
	@mkdir -p $(CDEVSHOBJ)/$(CDEVVERSION)
	$(MAKELIB) $@ $(OBJS)
	
clean: clean_hail
	rm -rf *.o *.a *~ .obj .shobj core ptrepository

